<?php

namespace Edeclic\HistoryBundle\Document;

//use Doctrine\ORM\Mapping as ORM;
use Doctrine\ODM\MongoDB\Mapping\Annotations as MongoDB;

/**
 * @MongoDB\Document
 */
class History
{
    /**
     * @MongoDB\Id
     */
    private $id;

    /**
     * @MongoDB\Field(type="int")
     */
    private $userId;

    /**
     * @MongoDB\Field(type="string")
     */
    private $command;

    /**
     * @MongoDB\Field(type="string")
     */
    private $param;

     /**
     * @MongoDB\Field(type="int")
     */
    private $valueParam;

    /**
     * @MongoDB\Field(type="date")
     */
    private $cTime;

    /**
     * @MongoDB\Field(type="string")
     */
    private $data;


    /**
     * Get id
     *
     * @return int
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * Set userId
     *
     * @param string $userId
     *
     * @return History
     */
    public function setUserId($userId)
    {
        $this->userId = $userId;

        return $this;
    }

    /**
     * Get userId
     *
     * @return string
     */
    public function getUserId()
    {
        return $this->userId;
    }

    /**
     * Set command
     *
     * @param string $command
     *
     * @return History
     */
    public function setCommand($command)
    {
        $this->command = $command;

        return $this;
    }

    /**
     * Get command
     *
     * @return string
     */
    public function getCommand()
    {
        return $this->command;
    }

    /**
     * Set param
     *
     * @param string $param
     *
     * @return History
     */
    public function setParam($param)
    {
        $this->param = $param;

        return $this;
    }

    /**
     * Get param
     *
     * @return string
     */
    public function getParam()
    {
        return $this->param;
    }

    /**
     * Set value
     *
     * @param guid $value
     *
     * @return History
     */
    public function setValue($value)
    {
        $this->value = $value;

        return $this;
    }

    /**
     * Get value
     *
     * @return guid
     */
    public function getValue()
    {
        return $this->value;
    }

    /**
     * Set cTime
     *
     * @param \DateTime $cTime
     *
     * @return History
     */
    public function setCTime($cTime)
    {
        $this->cTime = $cTime;

        return $this;
    }

    /**
     * Get cTime
     *
     * @return \DateTime
     */
    public function getCTime()
    {
        return $this->cTime;
    }

    /**
     * Set data
     *
     * @param array $data
     *
     * @return History
     */
    public function setData($data)
    {
        $this->data = $data;

        return $this;
    }

    /**
     * Get data
     *
     * @return array
     */
    public function getData()
    {
        return $this->data;
    }

    /**
     * Set valueParam
     *
     * @param integer $valueParam
     *
     * @return History
     */
    public function setValueParam($valueParam)
    {
        $this->valueParam = $valueParam;

        return $this;
    }

    /**
     * Get valueParam
     *
     * @return integer
     */
    public function getValueParam()
    {
        return $this->valueParam;
    }
}
